Subject: Re: linux-next: net tree build failure

From: Stephen Rothwell <[email-masked]>
Date: Mon, 24 Nov 2008 16:20:44 +1100

Hi Dave,

On Sun, 23 Nov 2008 21:04:52 -0800 (PST) David Miller <[email-masked]> wrote:
>
> From: Stephen Rothwell <[email-masked]>
> Date: Mon, 24 Nov 2008 15:49:38 +1100
> 
> > So I wonder what prevents CONFIG_PCMCIA being set on a sparc64
> > allmodconfig?  Just looking at the Kconfig files, I thought it
> > would, but obviously not.
> 
> drivers/Kconfig doesn't include drivers/pcmcia/Kconfig,
> each arch Kconfig has to do it explicitly

Yeah, and including it does turn CONFIG_PCMCIA on. But I am genuinely
curious as there is a CONFIG_PCMCIA entry (with a really ancient comment)
in arch/sparc64/Kconfig, so why is that not sufficient to get
CONFIG_PCMCIA turned on?  There is clearly something lacking in my
understanding ...

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/